Index: /anuga_core/source/anuga/pyvolution/bed_w_eden_boundary.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/bed_w_eden_boundary.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/bed_w_eden_boundary.py	(revision 3514)
@@ -37,5 +37,5 @@
 #Write file
 import os, time
-from config import time_format
+from anuga.config import time_format
 from math import sin, pi
 
Index: /anuga_core/source/anuga/pyvolution/bed_w_file_boundary.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/bed_w_file_boundary.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/bed_w_file_boundary.py	(revision 3514)
@@ -38,5 +38,5 @@
 #Write file
 import os, time
-from config import time_format
+from anuga.config import time_format
 from math import sin, pi
 
@@ -57,5 +57,5 @@
 
 #Convert ASCII file to NetCDF (Which is what we really like!)
-from data_manager import timefile2swww        
+from anuga.pyvolution.data_manager import timefile2swww        
 timefile2swww(filename, quantity_names = domain.conserved_quantities)
 
Index: /anuga_core/source/anuga/pyvolution/check_sww_tsh.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/check_sww_tsh.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/check_sww_tsh.py	(revision 3514)
@@ -5,5 +5,5 @@
 from os import sep, path
 
-import data_manager
+import anuga.pyvolution.data_manager
 from load_mesh.loadASCII import import_mesh_file
 from shallow_water import Domain
Index: /anuga_core/source/anuga/pyvolution/combine_pts.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/combine_pts.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/combine_pts.py	(revision 3514)
@@ -5,5 +5,5 @@
 """
 
-from utilities.polygon import outside_polygon, inside_polygon
+from anuga.utilities.polygon import outside_polygon, inside_polygon
 from Numeric import take, concatenate
 import time
Index: /anuga_core/source/anuga/pyvolution/cornell_room.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/cornell_room.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/cornell_room.py	(revision 3514)
@@ -16,5 +16,5 @@
 from math import sqrt
 #from least_squares import Interpolation
-from fit_interpolate.interpolate import Interpolate
+from anuga.fit_interpolate.interpolate import Interpolate
     
 
Index: /anuga_core/source/anuga/pyvolution/data_manager.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/data_manager.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/data_manager.py	(revision 3514)
@@ -65,6 +65,6 @@
 
 
-from coordinate_transforms.geo_reference import Geo_reference
-from geospatial_data.geospatial_data import Geospatial_data
+from anuga.coordinate_transforms.geo_reference import Geo_reference
+from anuga.geospatial_data.geospatial_data import Geospatial_data
 
 
@@ -163,5 +163,5 @@
 
     import os
-    #from config import data_dir
+    #from anuga.config import data_dir
 
     FN = check_dir(datadir) + filename
@@ -184,5 +184,5 @@
 
     import os
-    #from config import data_dir
+    #from anuga.config import data_dir
 
     dir = check_dir(datadir)
@@ -260,5 +260,5 @@
             #Create new file
             fid.institution = 'Geoscience Australia'
-            fid.description = 'Output from pyvolution suitable for plotting'
+            fid.description = 'Output from anuga.pyvolution suitable for plotting'
 
             if domain.smooth:
@@ -1057,5 +1057,5 @@
 
     import glob, os
-    from config import data_dir
+    from anuga.config import data_dir
 
 
@@ -1294,5 +1294,5 @@
 
     #Georeferencing
-    from coordinate_transforms.geo_reference import Geo_reference
+    from anuga.coordinate_transforms.geo_reference import Geo_reference
     if zone is None:
         assert xllcorner is None, 'xllcorner must be None'
@@ -1818,6 +1818,6 @@
     from Numeric import array2string
 
-    from utilities.polygon import inside_polygon, outside_polygon, separate_points_by_polygon
-    from util import apply_expression_to_dictionary
+    from anuga.utilities.polygon import inside_polygon, outside_polygon, separate_points_by_polygon
+    from anuga.pyvolution.util import apply_expression_to_dictionary
 
     msg = 'Format must be either asc or ers'
@@ -1998,5 +1998,5 @@
     #Interpolate
     #from least_squares import Interpolation
-    from fit_interpolate.interpolate import Interpolate
+    from anuga.fit_interpolate.interpolate import Interpolate
 
 
@@ -2183,8 +2183,8 @@
     from Numeric import array2string
 
-    from utilities.polygon import inside_polygon, outside_polygon, separate_points_by_polygon
-    from util import apply_expression_to_dictionary
-
-    from geospatial_data import Geospatial_data
+    from anuga.utilities.polygon import inside_polygon, outside_polygon, separate_points_by_polygon
+    from anuga.pyvolution.util import apply_expression_to_dictionary
+
+    from anuga.geospatial_data.geospatial_data import Geospatial_data
 
     if quantity is None:
@@ -2298,5 +2298,5 @@
 
     # Interpolate
-    from fit_interpolate.interpolate import Interpolate
+    from anuga.fit_interpolate.interpolate import Interpolate
     interp = Interpolate(vertex_points, volumes, verbose = verbose)
 
@@ -2870,5 +2870,5 @@
 
     #Store
-    from coordinate_transforms.redfearn import redfearn
+    from anuga.coordinate_transforms.redfearn import redfearn
     x = zeros(number_of_points, Float)  #Easting
     y = zeros(number_of_points, Float)  #Northing
@@ -3020,6 +3020,6 @@
     import time, calendar
     from Numeric import array
-    from config import time_format
-    from utilities.numerical_tools import ensure_numeric
+    from anuga.config import time_format
+    from anuga.utilities.numerical_tools import ensure_numeric
 
 
@@ -3056,5 +3056,5 @@
     #Read times proper
     from Numeric import zeros, Float, alltrue
-    from config import time_format
+    from anuga.config import time_format
     import time, calendar
 
@@ -3542,7 +3542,7 @@
     from pmesh2domain import pmesh_to_domain_instance
     import time, os
-    from data_manager import get_dataobject
+    from anuga.pyvolution.data_manager import get_dataobject
     from os import sep, path
-    from utilities.numerical_tools import mean
+    from anuga.utilities.numerical_tools import mean
 
     if verbose == True:print 'Creating domain from', filename
@@ -3605,5 +3605,5 @@
     from Scientific.IO.NetCDF import NetCDFFile
 
-    from coordinate_transforms.redfearn import redfearn
+    from anuga.coordinate_transforms.redfearn import redfearn
 
     precision = Float # So if we want to change the precision its done here
@@ -3757,5 +3757,5 @@
 
     #Store
-    from coordinate_transforms.redfearn import redfearn
+    from anuga.coordinate_transforms.redfearn import redfearn
     x = zeros(number_of_points, Float)  #Easting
     y = zeros(number_of_points, Float)  #Northing
Index: /anuga_core/source/anuga/pyvolution/data_manager_obsolete_stuff.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/data_manager_obsolete_stuff.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/data_manager_obsolete_stuff.py	(revision 3514)
@@ -221,5 +221,5 @@
     from Numeric import array, Float, concatenate, NewAxis, zeros,\
          sometrue
-    from utilities.polygon import inside_polygon
+    from anuga.utilities.polygon import inside_polygon
 
     #FIXME: Should be variable
Index: /anuga_core/source/anuga/pyvolution/domain.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/domain.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/domain.py	(revision 3514)
@@ -8,12 +8,12 @@
 """
 
-from pyvolution.neighbour_mesh import Mesh
-from pyvolution.generic_boundary_conditions import Boundary
-from pyvolution.generic_boundary_conditions import File_boundary
-from pyvolution.generic_boundary_conditions import Dirichlet_boundary
-from pyvolution.generic_boundary_conditions import Time_boundary
-from pyvolution.generic_boundary_conditions import Transmissive_boundary
-from pyvolution.pmesh2domain import pmesh_to_domain
-from pyvolution.region import Set_region as region_set_region
+from anuga.pyvolution.neighbour_mesh import Mesh
+from anuga.pyvolution.generic_boundary_conditions import Boundary
+from anuga.pyvolution.generic_boundary_conditions import File_boundary
+from anuga.pyvolution.generic_boundary_conditions import Dirichlet_boundary
+from anuga.pyvolution.generic_boundary_conditions import Time_boundary
+from anuga.pyvolution.generic_boundary_conditions import Transmissive_boundary
+from anuga.pyvolution.pmesh2domain import pmesh_to_domain
+from anuga.pyvolution.region import Set_region as region_set_region
 
 import types
@@ -150,5 +150,5 @@
 
         #Defaults
-        from config import max_smallsteps, beta_w, beta_h, epsilon, CFL
+        from anuga.config import max_smallsteps, beta_w, beta_h, epsilon, CFL
         self.beta_w = beta_w
         self.beta_h = beta_h
@@ -182,5 +182,5 @@
 
         #Checkpointing and storage
-        from config import default_datadir
+        from anuga.config import default_datadir
         self.datadir = default_datadir
         self.filename = 'domain'
@@ -340,5 +340,5 @@
         """
 
-        from util import apply_expression_to_dictionary
+        from anuga.pyvolution.util import apply_expression_to_dictionary
         return apply_expression_to_dictionary(expression, self.quantities)
 
@@ -653,5 +653,5 @@
         """
 
-        from config import min_timestep, max_timestep, epsilon
+        from anuga.config import min_timestep, max_timestep, epsilon
 
         #FIXME: Maybe lump into a larger check prior to evolving
@@ -801,5 +801,5 @@
     def update_timestep(self, yieldstep, finaltime):
 
-        from config import min_timestep, max_timestep
+        from anuga.config import min_timestep, max_timestep
 
         # self.timestep is calculated from speed of characteristics
@@ -933,5 +933,5 @@
 
 #Optimisation with psyco
-from config import use_psyco
+from anuga.config import use_psyco
 if use_psyco:
     try:
Index: /anuga_core/source/anuga/pyvolution/flatbed.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/flatbed.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/flatbed.py	(revision 3514)
@@ -13,5 +13,5 @@
      Constant_height
 from Numeric import array
-from util import Polygon_function, read_polygon
+from anuga.pyvolution.util import Polygon_function, read_polygon
 
 
Index: /anuga_core/source/anuga/pyvolution/general_mesh.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/general_mesh.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/general_mesh.py	(revision 3514)
@@ -3,5 +3,5 @@
 from Numeric import array, zeros, Int, Float, sqrt, sum
 
-from coordinate_transforms.geo_reference import Geo_reference
+from anuga.coordinate_transforms.geo_reference import Geo_reference
 
 class General_mesh:
@@ -50,5 +50,5 @@
 
 
-        This is a cut down version of mesh from pyvolution mesh.py
+        This is a cut down version of mesh from anuga.pyvolution mesh.py
     """
 
Index: /anuga_core/source/anuga/pyvolution/generic_boundary_conditions.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/generic_boundary_conditions.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/generic_boundary_conditions.py	(revision 3514)
@@ -130,6 +130,6 @@
         import time
         from Numeric import array
-        from config import time_format
-        from util import File_function
+        from anuga.config import time_format
+        from anuga.pyvolution.util import File_function
 
         Boundary.__init__(self)
@@ -180,6 +180,6 @@
         import time
         from Numeric import array, zeros, Float
-        from config import time_format
-        from util import file_function
+        from anuga.config import time_format
+        from anuga.pyvolution.util import file_function
 
         Boundary.__init__(self)
Index: /anuga_core/source/anuga/pyvolution/interpolate_sww.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/interpolate_sww.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/interpolate_sww.py	(revision 3514)
@@ -24,5 +24,5 @@
 
 from Numeric import transpose
-from fit_interpolate.interpolate import Interpolate 
+from anuga.fit_interpolate.interpolate import Interpolate 
 
 DEFAULT_QUANTITY = "depth"
Index: /anuga_core/source/anuga/pyvolution/least_squares.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/least_squares.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/least_squares.py	(revision 3514)
@@ -25,13 +25,13 @@
 #from general_mesh import General_mesh
 from Numeric import zeros, array, Float, Int, transpose, concatenate, ArrayType, NewAxis
-from pyvolution.neighbour_mesh import Mesh
+from anuga.pyvolution.neighbour_mesh import Mesh
 
 from Numeric import dot, zeros, take, compress, array, Float, Int, transpose, concatenate, ArrayType
-from utilities.sparse import Sparse, Sparse_CSR
-from utilities.cg_solve import conjugate_gradient, VectorShapeError
-from utilities.numerical_tools import ensure_numeric, mean, gradient
-
-
-from coordinate_transforms.geo_reference import Geo_reference
+from anuga.utilities.sparse import Sparse, Sparse_CSR
+from anuga.utilities.cg_solve import conjugate_gradient, VectorShapeError
+from anuga.utilities.numerical_tools import ensure_numeric, mean, gradient
+
+
+from anuga.coordinate_transforms.geo_reference import Geo_reference
 
 import time
@@ -194,5 +194,5 @@
     """
     if use_cache is True:
-        from caching.caching import cache
+        from anuga.caching.caching import cache
         interp = cache(_interpolation,
                        (vertex_coordinates,
@@ -541,6 +541,6 @@
         #Maybe we need some sort of blocking
 
-        from pyvolution.quad import build_quadtree
-        from utilities.polygon import inside_polygon
+        from anuga.pyvolution.quad import build_quadtree
+        from anuga.utilities.polygon import inside_polygon
 	
 
@@ -1089,5 +1089,5 @@
 
 
-        from config import time_format
+        from anuga.config import time_format
         import types
 
@@ -1237,5 +1237,5 @@
         from math import pi, cos, sin, sqrt
         from Numeric import zeros, Float
-        from utilities.numerical_tools import mean        
+        from anuga.utilities.numerical_tools import mean        
 
         if self.spatial is True:
Index: /anuga_core/source/anuga/pyvolution/mesh_factory.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/mesh_factory.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/mesh_factory.py	(revision 3514)
@@ -18,5 +18,5 @@
     """
 
-    from config import epsilon
+    from anuga.config import epsilon
 
     deltax = float(len1)/m
@@ -72,5 +72,5 @@
     """
 
-    from config import epsilon
+    from anuga.config import epsilon
     from Numeric import zeros, Float, Int
 
@@ -148,5 +148,5 @@
     """
 
-    from config import epsilon
+    from anuga.config import epsilon
     from Numeric import zeros, Float, Int
 
@@ -211,5 +211,5 @@
     import math
 
-    from config import epsilon
+    from anuga.config import epsilon
 
 
@@ -334,5 +334,5 @@
     """
 
-    from util import anglediff
+    from anuga.pyvolution.util import anglediff
     from math import pi
     import os.path
@@ -449,5 +449,5 @@
 
     from math import pi
-    from util import anglediff
+    from anuga.pyvolution.util import anglediff
 
 
@@ -513,5 +513,5 @@
     import math
 
-    from config import epsilon
+    from anuga.config import epsilon
 
 
@@ -595,5 +595,5 @@
     import math
 
-    from config import epsilon
+    from anuga.config import epsilon
 
 
@@ -689,5 +689,5 @@
     import math
 
-    from config import epsilon
+    from anuga.config import epsilon
 
 
Index: /anuga_core/source/anuga/pyvolution/mesh_factory_all.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/mesh_factory_all.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/mesh_factory_all.py	(revision 3514)
@@ -18,5 +18,5 @@
     """
 
-    from config import epsilon
+    from anuga.config import epsilon
 
     #E = m*n*2        #Number of triangular elements
@@ -76,5 +76,5 @@
     """
 
-    from config import epsilon
+    from anuga.config import epsilon
     from Numeric import zeros, Float, Int
 
@@ -145,5 +145,5 @@
     import math
 
-    from config import epsilon
+    from anuga.config import epsilon
 
 
@@ -215,5 +215,5 @@
     import math
 
-    from config import epsilon
+    from anuga.config import epsilon
 
 
@@ -351,5 +351,5 @@
     """
 
-    from util import anglediff
+    from anuga.pyvolution.util import anglediff
     from math import pi
     import os.path
@@ -466,5 +466,5 @@
 
     from math import pi
-    from util import anglediff
+    from anuga.pyvolution.util import anglediff
 
 
Index: /anuga_core/source/anuga/pyvolution/neighbour_mesh.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/neighbour_mesh.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/neighbour_mesh.py	(revision 3514)
@@ -310,5 +310,5 @@
         """
 
-        from config import default_boundary_tag
+        from anuga.config import default_boundary_tag
 
         if boundary is None:
@@ -440,5 +440,5 @@
         
         from Numeric import allclose, sqrt, array, minimum, maximum
-        from utilities.numerical_tools import angle, ensure_numeric        
+        from anuga.utilities.numerical_tools import angle, ensure_numeric        
 
 
@@ -574,6 +574,6 @@
         """
 
-        from config import epsilon
-        from utilities.numerical_tools import anglediff
+        from anuga.config import epsilon
+        from anuga.utilities.numerical_tools import anglediff
 
         N = self.number_of_elements
@@ -710,5 +710,5 @@
 
         from Numeric import arange
-        from utilities.numerical_tools import histogram, create_bins
+        from anuga.utilities.numerical_tools import histogram, create_bins
 
         vertex_coordinates = self.vertex_coordinates # Relative coordinates
Index: /anuga_core/source/anuga/pyvolution/pressure_force.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/pressure_force.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/pressure_force.py	(revision 3514)
@@ -48,6 +48,6 @@
 
 def cyclone(domain):
-    from config import rho_w 
-    from util import gradient
+    from anuga.config import rho_w 
+    from anuga.pyvolution.util import gradient
 
     xmom = domain.quantities['xmomentum'].explicit_update
Index: /anuga_core/source/anuga/pyvolution/quantity.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/quantity.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/quantity.py	(revision 3514)
@@ -20,5 +20,5 @@
     def __init__(self, domain, vertex_values=None):
 
-        from pyvolution.neighbour_mesh import Mesh
+        from anuga.pyvolution.neighbour_mesh import Mesh
         from Numeric import array, zeros, Float
 
@@ -265,5 +265,5 @@
         """
 
-        from geospatial_data.geospatial_data import Geospatial_data
+        from anuga.geospatial_data.geospatial_data import Geospatial_data
         from types import FloatType, IntType, LongType, ListType, NoneType
         from Numeric import ArrayType
@@ -620,8 +620,8 @@
 
         from Numeric import Float
-        from utilities.numerical_tools import ensure_numeric
-        #from pyvolution.least_squares import fit_to_mesh
-        from fit_interpolate.fit import fit_to_mesh
-        from coordinate_transforms.geo_reference import Geo_reference
+        from anuga.utilities.numerical_tools import ensure_numeric
+        #from anuga.pyvolution.least_squares import fit_to_mesh
+        from anuga.fit_interpolate.fit import fit_to_mesh
+        from anuga.coordinate_transforms.geo_reference import Geo_reference
 
 
@@ -693,5 +693,5 @@
 
         from load_mesh.loadASCII import import_points_file
-        from geospatial_data.geospatial_data import points_dictionary2geospatial_data
+        from anuga.geospatial_data.geospatial_data import points_dictionary2geospatial_data
 
         from types import StringType
@@ -1322,5 +1322,5 @@
 
 
-from utilities import compile
+from anuga.utilities import compile
 if compile.can_use_C_extension('quantity_ext.c'):
     #Replace python version with c implementations
Index: /anuga_core/source/anuga/pyvolution/realtime_visualisation.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/realtime_visualisation.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/realtime_visualisation.py	(revision 3514)
@@ -66,5 +66,5 @@
         from Numeric import zeros, Float
 
-        from config import minimum_allowed_height as hmin
+        from anuga.config import minimum_allowed_height as hmin
         if floor_heights is None:
             floor_heights = zeros(heights.shape, Float)
@@ -200,5 +200,5 @@
 
     #print scene.forward
-    #FIXME: Use smoother from pyvolution instead
+    #FIXME: Use smoother from anuga.pyvolution instead
     if domain.smooth:
         #Get all average point values
Index: /anuga_core/source/anuga/pyvolution/shallow_water.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/shallow_water.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/shallow_water.py	(revision 3514)
@@ -62,5 +62,5 @@
 from generic_boundary_conditions import Transmissive_boundary
 
-from utilities.numerical_tools import gradient, mean
+from anuga.utilities.numerical_tools import gradient, mean
 
 
@@ -105,5 +105,5 @@
 
 
-        from config import minimum_allowed_height, maximum_allowed_speed, g
+        from anuga.config import minimum_allowed_height, maximum_allowed_speed, g
         self.minimum_allowed_height = minimum_allowed_height
         self.maximum_allowed_speed = maximum_allowed_speed
@@ -324,8 +324,8 @@
         """
 
-        import data_manager
+        from anuga.pyvolution.data_manager import get_dataobject
 
         #Initialise writer
-        self.writer = data_manager.get_dataobject(self, mode = 'w')
+        self.writer = get_dataobject(self, mode = 'w')
 
         #Store vertices and connectivity
@@ -407,5 +407,5 @@
     """
 
-    from config import g, epsilon
+    from anuga.config import g, epsilon
     from math import sqrt
     from Numeric import array
@@ -656,5 +656,5 @@
     """
 
-    from config import optimised_gradient_limiter
+    from anuga.config import optimised_gradient_limiter
 
     #Remove very thin layers of water
@@ -1059,22 +1059,5 @@
         q = self.domain.get_conserved_quantities(vol_id, edge = edge_id)
         value = self.function(self.domain.time)
-
-   
-        try:
-            # In case function returns a list of values
-            val = value[0]
-        except TypeError:
-            val = value
-
-        # Assign value to first component of q (stage)
-        try:
-            q[0] = float(val)
-        except:
-            msg = 'Supplied value could not be converted to float: val=', val     
-            raise Exception, msg    
-            
-            
-            
-        
+        q[0] = value[0]
         return q
 
@@ -1418,5 +1401,5 @@
         """
 
-        from config import rho_a, rho_w, eta_w
+        from anuga.config import rho_a, rho_w, eta_w
         from Numeric import array, Float
 
@@ -1868,5 +1851,5 @@
 
 
-from utilities import compile
+from anuga.utilities import compile
 if compile.can_use_C_extension('shallow_water_ext.c'):
     #Replace python version with c implementations
@@ -1887,5 +1870,5 @@
 
 #Optimisation with psyco
-from config import use_psyco
+from anuga.config import use_psyco
 if use_psyco:
     try:
Index: /anuga_core/source/anuga/pyvolution/shallow_water_kinetic.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/shallow_water_kinetic.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/shallow_water_kinetic.py	(revision 3514)
@@ -73,5 +73,5 @@
                                 tagged_elements, geo_reference, use_inscribed_circle)
 
-        from config import minimum_allowed_height, g
+        from anuga.config import minimum_allowed_height, g
         self.minimum_allowed_height = minimum_allowed_height
         self.g = g
@@ -94,5 +94,5 @@
 
         #Reduction operation for get_vertex_values
-        from util import mean
+        from anuga.pyvolution.util import mean
         self.reduction = mean
         #self.reduction = min  #Looks better near steep slopes
@@ -245,5 +245,5 @@
         """
 
-        import data_manager
+        import anuga.pyvolution.data_manager
 
         #Initialise writer
@@ -328,5 +328,5 @@
     """
 
-    from config import g, epsilon
+    from anuga.config import g, epsilon
     from math import sqrt
     from Numeric import array
@@ -425,5 +425,5 @@
     """
 
-    from config import g, epsilon
+    from anuga.config import g, epsilon
     from math import sqrt
     from Numeric import array
@@ -684,5 +684,5 @@
     """
 
-    from config import optimised_gradient_limiter
+    from anuga.config import optimised_gradient_limiter
 
     #Remove very thin layers of water
@@ -1169,5 +1169,5 @@
     """
 
-    from util import gradient
+    from anuga.pyvolution.util import gradient
     from Numeric import zeros, Float, array, sum
 
@@ -1399,5 +1399,5 @@
         """
 
-        from config import rho_a, rho_w, eta_w
+        from anuga.config import rho_a, rho_w, eta_w
         from Numeric import array, Float
 
@@ -1772,5 +1772,5 @@
 
 
-from utilities import compile
+from anuga.utilities import compile
 if compile.can_use_C_extension('shallow_water_kinetic_ext.c'):
     #Replace python version with c implementations
@@ -1791,5 +1791,5 @@
 
 #Optimisation with psyco
-from config import use_psyco
+from anuga.config import use_psyco
 if use_psyco:
     try:
Index: /anuga_core/source/anuga/pyvolution/test_advection.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/test_advection.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/test_advection.py	(revision 3514)
@@ -6,5 +6,5 @@
 from math import sqrt, pi
 
-from config import g, epsilon
+from anuga.config import g, epsilon
 from Numeric import allclose, array, zeros, ones, Float
 from advection import *
Index: /anuga_core/source/anuga/pyvolution/test_combine_pts.py
===================================================================
--- /anuga_core/source/anuga/pyvolution/test_combine_pts.py	(revision 3513)
+++ /anuga_core/source/anuga/pyvolution/test_combine_pts.py	(revision 3514)
@@ -10,8 +10,8 @@
 from Numeric import allclose, array, transpose
 
-from coordinate_transforms.geo_reference import Geo_reference
+from anuga.coordinate_transforms.geo_reference import Geo_reference
 from combine_pts import *
 from load_mesh.loadASCII import import_points_file
-#from geospatial_data.geospatial_data import import_points_file
+#from anuga.geospatial_data.geospatial_data import import_points_file
 
 class Test_combine_pts(unittest.TestCase):
